<?xml version="1.0"?><Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2005/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner"><DataSources><DataSource Name="CRM"><ConnectionProperties><IntegratedSecurity>true</IntegratedSecurity><ConnectString>data source=localhost;initial catalog=Adventure_Works_Cycle_MSCRM</ConnectString><DataProvider>SQL</DataProvider></ConnectionProperties><rd:DataSourceID>bd1301de-68ad-4451-8159-73edf1a55fea</rd:DataSourceID></DataSource></DataSources><BottomMargin>0.5in</BottomMargin><RightMargin>0.5in</RightMargin><PageWidth>8.25in</PageWidth><ReportParameters><ReportParameter Name="CRM_FormatDate"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><DataSetReference><DataSetName>DSNumandCurrency</DataSetName><ValueField>DateFormat</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FormatDate</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FormatTime"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><DataSetReference><DataSetName>DSNumandCurrency</DataSetName><ValueField>TimeFormat</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FormatTime</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FullName"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><DataSetReference><DataSetName>UserInfo</DataSetName><ValueField>fullname</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FullName</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_Campaignid"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_Campaignid</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_statecodename"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_statecodename</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_URL"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_URL</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_NumberLanguageCode"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>DSNumandCurrency</DataSetName><ValueField>NumberLanguageCode</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_NumberLanguageCode</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_CalendarType"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>DSNumandCurrency</DataSetName><ValueField>CalendarType</ValueField></DataSetReference></DefaultValue><Prompt>CRM_CalendarType</Prompt><Hidden>true</Hidden></ReportParameter></ReportParameters><rd:DrawGrid>true</rd:DrawGrid><InteractiveWidth>8.5in</InteractiveWidth><rd:GridSpacing>0.03125in</rd:GridSpacing><rd:SnapToGrid>true</rd:SnapToGrid><Body><ReportItems><Textbox Name="txtNoData"><Left>8.21875in</Left><Top>0.125in</Top><ZIndex>2</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>0.71875in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.15625in</Height><Value>No Data</Value></Textbox><Rectangle Name="rectangle7"><Left>0.03125in</Left><ReportItems><Textbox Name="txtTaskCount"><Left>6.90625in</Left><ZIndex>1</ZIndex><Width>0.90625in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><BorderColor><Default>#2e456e</Default></BorderColor><BackgroundColor>#2e456e</BackgroundColor><Color>White</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>= "Count:  " &amp; Count(Fields!subject.Value, "DSCampaignTasks")</Value></Textbox><Textbox Name="txtHeadSec"><Left>0.02083in</Left><Width>1.28125in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><BackgroundColor>#2e456e</BackgroundColor><Color>White</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Planning Tasks</Value></Textbox></ReportItems><Top>0.09375in</Top><ZIndex>1</ZIndex><Width>8.125in</Width><Style><BackgroundColor>#2e456e</BackgroundColor></Style><Height>0.25in</Height></Rectangle><Table Name="table1"><DataElementOutput>Output</DataElementOutput><NoRows>=ReportItems!txtNoData.Value</NoRows><Left>0.03125in</Left><DataSetName>DSCampaignTasks</DataSetName><Top>0.3125in</Top><Width>8.125in</Width><Details><TableRows><TableRow><TableCells><TableCell><ReportItems><Textbox Name="subject"><rd:DefaultName>subject</rd:DefaultName><ZIndex>5</ZIndex><Action><Hyperlink>=IIF(IsNothing(Parameters!CRM_URL.Value),system.dbnull.value, Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!activityid.Value.ToString() &amp;"}&amp;OTC=4212")</Hyperlink></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!subject.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="owneridname"><rd:DefaultName>owneridname</rd:DefaultName><ZIndex>4</ZIndex><Action><Hyperlink>=IIF(IsNothing(Parameters!CRM_URL.Value),system.dbnull.value,Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!ownerid.Value.ToString()&amp;"}&amp;OTC=8")</Hyperlink></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!owneridname.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="scheduledend"><rd:DefaultName>scheduledend</rd:DefaultName><ZIndex>3</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><TextAlign>Left</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><Calendar>=Parameters!CRM_CalendarType.Value</Calendar><Format>= First(Fields!DateFormat.Value, "DSNumandCurrency")</Format><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!scheduledend.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox21"><rd:DefaultName>textbox21</rd:DefaultName><ZIndex>2</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="prioritycodename"><rd:DefaultName>prioritycodename</rd:DefaultName><ZIndex>1</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!prioritycodename.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="statecodename"><rd:DefaultName>statecodename</rd:DefaultName><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!statecodename.Value</Value></Textbox></ReportItems></TableCell></TableCells><Height>0.23958in</Height></TableRow></TableRows></Details><Style><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor></Style><Header><TableRows><TableRow><TableCells><TableCell><ReportItems><Textbox Name="txtTaskName"><ZIndex>11</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Task Name</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtAssignTo"><ZIndex>10</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><TextAlign>Left</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Assigned To</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtDueDate"><ZIndex>9</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Due Date</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox20"><rd:DefaultName>textbox20</rd:DefaultName><ZIndex>8</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow( "scheduledend", "scheduledend", "Descending")</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtPriority"><ZIndex>7</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Priority</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtStatus"><ZIndex>6</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Status</Value></Textbox></ReportItems></TableCell></TableCells><Height>0.23958in</Height></TableRow></TableRows><RepeatOnNewPage>true</RepeatOnNewPage></Header><TableColumns><TableColumn><Width>1.75in</Width></TableColumn><TableColumn><Width>1.5625in</Width></TableColumn><TableColumn><Width>1.6875in</Width></TableColumn><TableColumn><Width>0.25in</Width></TableColumn><TableColumn><Width>1.5in</Width></TableColumn><TableColumn><Width>1.375in</Width></TableColumn></TableColumns></Table></ReportItems><Height>0.79166in</Height><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle></Style></Body><rd:ReportID>175a60d8-7f95-49ba-b4f6-a498c1c36244</rd:ReportID><LeftMargin>0.5in</LeftMargin><DataSets><DataSet Name="UserInfo"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select fullname from FilteredSystemUser where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="fullname"><rd:TypeName>System.String</rd:TypeName><DataField>fullname</DataField></Field></Fields></DataSet><DataSet Name="DSNumandCurrency"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select * from dbo.fn_GetFormatStrings()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="DateFormat"><rd:TypeName>System.String</rd:TypeName><DataField>DateFormat</DataField></Field><Field Name="TimeFormat"><rd:TypeName>System.String</rd:TypeName><DataField>TimeFormat</DataField></Field><Field Name="NumberLanguageCode"><rd:TypeName>System.String</rd:TypeName><DataField>NumberLanguageCode</DataField></Field><Field Name="CalendarType"><rd:TypeName>System.String</rd:TypeName><DataField>CalendarType</DataField></Field><Field Name="NumberFormat_0_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_0_Precision</DataField></Field><Field Name="NumberFormat_1_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_1_Precision</DataField></Field><Field Name="NumberFormat_2_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_2_Precision</DataField></Field><Field Name="NumberFormat_3_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_3_Precision</DataField></Field><Field Name="NumberFormat_4_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_4_Precision</DataField></Field><Field Name="NumberFormat_5_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_5_Precision</DataField></Field><Field Name="CurrencyFormat_0_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_0_Precision</DataField></Field><Field Name="CurrencyFormat_1_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_1_Precision</DataField></Field><Field Name="CurrencyFormat_2_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_2_Precision</DataField></Field><Field Name="CurrencyFormat_3_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_3_Precision</DataField></Field><Field Name="CurrencyFormat_4_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_4_Precision</DataField></Field><Field Name="CurrencyFormat_5_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_5_Precision</DataField></Field></Fields></DataSet><DataSet Name="DSCampaignTasks"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select cast(activityid as nVarchar(50)) as activityid, regardingobjectidname, subject, statecodename,  ownerid, owneridname, scheduledend, prioritycodename
from FilteredTask
where regardingobjectid = @CRM_Campaignid and statecodename = @CRM_statecodename
order by scheduledendutc desc</CommandText><QueryParameters><QueryParameter Name="@CRM_Campaignid"><Value>=Parameters!CRM_Campaignid.Value</Value></QueryParameter><QueryParameter Name="@CRM_statecodename"><Value>=Parameters!CRM_statecodename.Value</Value></QueryParameter></QueryParameters><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="activityid"><rd:TypeName>System.String</rd:TypeName><DataField>activityid</DataField></Field><Field Name="regardingobjectidname"><rd:TypeName>System.String</rd:TypeName><DataField>regardingobjectidname</DataField></Field><Field Name="subject"><rd:TypeName>System.String</rd:TypeName><DataField>subject</DataField></Field><Field Name="statecodename"><rd:TypeName>System.String</rd:TypeName><DataField>statecodename</DataField></Field><Field Name="ownerid"><rd:TypeName>System.Guid</rd:TypeName><DataField>ownerid</DataField></Field><Field Name="owneridname"><rd:TypeName>System.String</rd:TypeName><DataField>owneridname</DataField></Field><Field Name="scheduledend"><rd:TypeName>System.DateTime</rd:TypeName><DataField>scheduledend</DataField></Field><Field Name="prioritycodename"><rd:TypeName>System.String</rd:TypeName><DataField>prioritycodename</DataField></Field></Fields></DataSet><DataSet Name="DSUserSettings"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Select TimeZoneBias from FilteredUserSettings where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="TimeZoneBias"><rd:TypeName>System.Int32</rd:TypeName><DataField>TimeZoneBias</DataField></Field></Fields></DataSet></DataSets><Author> MSFT</Author><Width>10.71875in</Width><InteractiveHeight>11in</InteractiveHeight><Language>=Parameters!CRM_NumberLanguageCode.Value</Language><PageFooter><ReportItems><Textbox Name="txtPageCount"><Left>5.7in</Left><ZIndex>2</ZIndex><Width>2.375in</Width><Style><TextAlign>Right</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=String.Format("Page {0} of {1}", Format(Globals!PageNumber, "#,##0"), Format(Globals!TotalPages, "#,##0"))</Value></Textbox><Textbox Name="txtUserIDLabel"><Left>2.9in</Left><ZIndex>1</ZIndex><Width>2.375in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>="Prepared by: " &amp; Parameters!CRM_FullName.Value</Value></Textbox><Textbox Name="txtExecutionDateTimeLabel"><Left>0.25in</Left><Width>2.375in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop><Format>=Parameters!CRM_FormatDate.Value + " " + Parameters!CRM_FormatTime.Value</Format><Calendar>=Parameters!CRM_CalendarType.Value</Calendar></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=Microsoft.Crm.Reporting.RdlHelper.DateTimeUtility.GetCurrentZoneTime(First(Fields!TimeZoneBias.Value,"DSUserSettings"))</Value></Textbox></ReportItems><Height>0.28125in</Height><PrintOnLastPage>true</PrintOnLastPage><PrintOnFirstPage>true</PrintOnFirstPage><Style><BackgroundColor>#deddcf</BackgroundColor></Style></PageFooter><TopMargin>0.5in</TopMargin><CodeModules><CodeModule>Microsoft.Crm.Reporting.RdlHelper, Version=5.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35</CodeModule></CodeModules></Report>